components:
  schemas:
    DataProtectionLoSCapabilities_v1_1_2_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/DataProtectionLoSCapabilities_v1_1_2_OemActions'
          description: This property contains the available OEM specific actions for
            this resource.
          x-longDescription: This property shall contain any additional OEM actions
            for this resource.
          x-versionAdded: v1_1_0
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    DataProtectionLoSCapabilities_v1_1_2_DataProtectionLoSCapabilities:
      additionalProperties: false
      description: The capabilities to protect data from loss by the use of a replica.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/DataProtectionLoSCapabilities_v1_1_2_Actions'
          description: The available actions for this resource.
          x-longDescription: The Actions property shall contain the available actions
            for this resource.
          x-versionAdded: v1_1_0
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Identifier:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Identifier
          description: The value identifies this resource.
          x-longDescription: The value shall be unique within the managed ecosystem.
        Links:
          $ref: '#/components/schemas/DataProtectionLoSCapabilities_v1_1_2_Links'
          description: Contains links to other resources that are related to this
            resource.
          x-longDescription: The value of this property shall contains links to other
            resources that are not contained in this resource.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        SupportedLinesOfService:
          description: Collection of known and supported DataProtectionLinesOfService.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: false
          type: array
          x-autoExpand: true
          x-longDescription: The collection shall contain known and supported DataProtectionLinesOfService.
        SupportedLinesOfService@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        SupportedMinLifetimes:
          description: Supported minimum lifetime that replica must be maintained.
          items:
            nullable: true
            type: string
          readOnly: false
          type: array
          x-longDescription: The value of each entry shall be an ISO 8601 duration
            that specifies the minimum lifetime required for the replica.
        SupportedRecoveryGeographicObjectives:
          description: Supported types of failure domains.
          items:
            $ref: http://redfish.dmtf.org/schemas/swordfish/v1/DataProtectionLoSCapabilities.yaml#/components/schemas/DataProtectionLoSCapabilities_FailureDomainScope
            nullable: true
          readOnly: false
          type: array
          x-longDescription: The value of each entry shall specify a supported failure
            domain.
        SupportedRecoveryPointObjectiveTimes:
          description: Supported time intervals defining how much source information
            can be lost on failure.
          items:
            nullable: true
            type: string
          readOnly: false
          type: array
          x-longDescription: The value of each entry shall specify a supported ISO
            8601 time interval defining the maximum source information that may be
            lost on failure. In the case that IsIsolated = false, failure of the domain
            is not a consideration.
        SupportedRecoveryTimeObjectives:
          description: Supported expectations for time to access an alternate replica.
          items:
            $ref: http://redfish.dmtf.org/schemas/swordfish/v1/DataProtectionLoSCapabilities.yaml#/components/schemas/DataProtectionLoSCapabilities_RecoveryAccessScope
            nullable: true
          readOnly: false
          type: array
          x-longDescription: The value of each entry shall specify an enumerated value
            that indicates a supported expectation for the time required to access
            an alternate replica. In the case that IsIsolated = false, failure of
            the domain is not a consideration.
        SupportedReplicaTypes:
          description: Supported replica types.
          items:
            $ref: http://redfish.dmtf.org/schemas/swordfish/v1/StorageReplicaInfo.yaml#/components/schemas/StorageReplicaInfo_ReplicaType
            nullable: true
          readOnly: false
          type: array
          x-longDescription: The value of each entry shall specify a supported replica
            type.
        SupportsIsolated:
          description: Allocating a replica in a separate fault domain is supported.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: A value of true shall indicate that allocating a replica
            in a separate fault domain is supported. The default value for this property
            is false.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: The capabilities to protect data from loss by the use of
        a replica. The requirements shall be met collectively by the communication
        path and the replica. There should be one instance associated to a class of
        service for each replica. Each replica independently should have a class of
        service that describes its characteristics.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    DataProtectionLoSCapabilities_v1_1_2_Links:
      additionalProperties: false
      description: The links object contains the links to other resources that are
        related to this resource.
      properties:
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
        SupportedReplicaOptions:
          description: Collection of known and supported replica Classes of Service.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: false
          type: array
          x-longDescription: The collection shall contain known and supported replica
            Classes of Service.
        SupportedReplicaOptions@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
      type: object
      x-longDescription: The Links property, as described by the Redfish Specification,
        shall contain references to resources that are related to, but not contained
        by (subordinate to), this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    DataProtectionLoSCapabilities_v1_1_2_OemActions:
      additionalProperties: true
      description: The available OEM specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain any additional OEM actions for this
        resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#DataProtectionLoSCapabilities.v1_1_2.DataProtectionLoSCapabilities'
x-copyright: Copyright 2015-2024 Storage Networking Industry Association (SNIA), USA.
  All rights reserved.
x-owningEntity: SNIA
x-release: 1.0.5
